Bug 1653003 - SELinux conflicts /usr/sbin/dumpe2fs /usr/sbin/e2mmpstatus
Summary: SELinux conflicts /usr/sbin/dumpe2fs /usr/sbin/e2mmpstatus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 1658624
TreeView+ depends on / blocked
 
Reported: 2018-11-24 06:04 UTC by Ralf Corsepius
Modified: 2019-03-05 13:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1658624 (view as bug list)
Environment:
Last Closed: 2019-01-17 02:17:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Ralf Corsepius 2018-11-24 06:04:49 UTC
Description of problem:

# ls -lZ /usr/sbin/e2mmpstatus /usr/sbin/dumpe2fs
-rwxr-xr-x. 2 root root system_u:object_r:bin_t:s0 33688 Jul 13 04:35 /usr/sbin/dumpe2fs
-rwxr-xr-x. 2 root root system_u:object_r:bin_t:s0 33688 Jul 13 04:35 /usr/sbin/e2mmpstatus

# restorecon -R -v /usr/sbin/
Relabeled /usr/sbin/dumpe2fs from system_u:object_r:bin_t:s0 to system_u:object_r:fsadm_exec_t:s0
Relabeled /usr/sbin/e2mmpstatus from system_u:object_r:fsadm_exec_t:s0 to system_u:object_r:bin_t:s0

I.e. something in the SELinux-rule set being applied carries a conflict between 
/usr/sbin/e2mmpstatus and /usr/sbin/dumpe2fs

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.14.2-42.fc29.noarch
e2fsprogs-1.44.3-1.fc29.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install selinux-policy-targeted and e2fsprogs
2. Examine the SElinux contexts and run restorecon

Actual results:
/usr/sbin/e2mmpstatus and /usr/sbin/dumpe2fs are identical/hardlinked binaries.
Apparently, their SELinux rules conflict.

Comment 2 Lukas Vrabec 2018-12-12 14:46:12 UTC
commit 03cc634db7a3b717d9fadd8ff6ebd5d03154ea62 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Wed Dec 12 15:45:03 2018 +0100

    Label /usr/sbin/e2mmpstatus as fsadm_exec_t BZ(1653003)

Comment 3 Fedora Update System 2019-01-13 15:45:29 UTC
selinux-policy-3.14.2-46.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a20cfef61

Comment 4 Fedora Update System 2019-01-14 03:03:38 UTC
selinux-policy-3.14.2-46.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a20cfef61

Comment 5 Fedora Update System 2019-01-17 02:17:11 UTC
selinux-policy-3.14.2-46.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.